Subject: Re: [TICTOC] Time synchronization discussion //Re: [CCAMP] GMPLS Operation Logger pool for interest

From: Yaakov Stein <[email-masked]>
Date: Fri, 2 Apr 2010 17:11:14 +0300

Although timeliness is indeed important for logging, the accuracy of the timestamp is also important.

The definition of an MPLS-specific encapsulation for time flows is indeed one of the high-priority items on TICTOC's list.

Y(J)S

From: Fatai Zhang [mailto:[email-masked]]
Sent: Friday, April 02, 2010 05:19
To: Greg Mirsky; Diego Caviglia; Yaakov Stein; Lou Berger; Deborah A, ALABS Brungard
Cc: [email-masked]; [email-masked]
Subject: Time synchronization discussion //Re: [CCAMP] GMPLS Operation Logger pool for interest

Hi Greg,

I follow up your discussion, although Diego meant "timely synchronization" not "Time synchronization", :-)~~~

As for timing or clock, I think it is really very interesting to investigate what GMPLS can do for timing or clock.

I attended the TICTOC session during Anaheim meeting, some people are interested in "Path Finding".

>From my point of view,  if we have Path Finding, it is very convenient to find the optimized path to minimize delay, to avoid timing loops, and the most important thing is that it can resist multiple failures like GMPLS restoration. In addition, Path Finding is a kind of automatic mechnism (i.e., smart enough), so it can reduce manual configurations and make it easy to design timing/clock network.

Therefore, I am happy to see some joint work between CCAMP and TICTOC on this topic.

I added co-chairs of CCAMP and CC to TICTOC WG.

Best Regards

Fatai

----- Original Message -----
From: Greg Mirsky<mailto:[email-masked]>
To: Diego Caviglia<mailto:[email-masked]> ; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Sent: Friday, April 02, 2010 9:16 AM
Subject: Re: [CCAMP] GMPLS Operation Logger pool for interest

Dear Diego,
I'd like to refer you to Timing over IP Connection and Transfer of Clock (TICTOC<http://datatracker.ietf.org/wg/tictoc/charter/>) WG. I've tried to follow work there and recall that group worked on summarizing requirements for time synchronization from various industries and applications but I cannot point you to the right document in archive<http://tools.ietf.org/wg/tictoc/>.
At the last meeting we discussed whether MPLS-TP might have specific requirements to timer synchronization (as I recall it). But I don't remember anybody bringing specific GMPLS requirements yet. It might be interesting to look.
I've added Yaakov Stein, group's chair, to the discussion.

Regards,
Greg
On Thu, Apr 1, 2010 at 4:45 AM, Diego Caviglia <[email-masked]<mailto:[email-masked]>> wrote:
Hi CCAMPers
            I'd like to hear the feeling of the WG about starting a work on GMPLS logging.

The very basic idea is to have something to synchronize all the time on the NEs and to have a compressed and optimized client server protocol to upload GMPLS information to a centralized server.  Time synchronization is essential to rebuild the sequence of events and actions that happens to a certain LSP.

GMPLS is becoming too complex and too business critical to relay on SNMCP for logging.

On the other hand is impossible to store on the NE itself all the GMPLS logging.

BR

Diego

DIEGO CAVIGLIA
Strategic Product Manager

Ericsson Italy
Product Line PAIB
Via A. Negrone 1/A
Genoa, Italy
Phone +390106003736
Mobile +393357181762
[email-masked]<mailto:[email-masked]>
www.ericsson.com<http://www.ericsson.com>

This Communication is Confidential. We only send and receive email on the basis of the term set out at www.ericsson.com/email_disclaimer<http://www.ericsson.com/email_disclaimer>

_______________________________________________
CCAMP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ccamp

________________________________
_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp